Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::PerDocBuffer Class Reference

RAMFile buffer for DocWriters. More...

`#include <DocumentsWriter.h>`

Inheritance diagram for Lucene::PerDocBuffer:

## Public Member Functions

| PerDocBuffer (const DocumentsWriterPtr &docWriter)
virtual | ~PerDocBuffer ()
virtual String | getClassName ()
boost::shared_ptr< PerDocBuffer > | shared_from_this ()
void | recycle ()
| Recycle the bytes used.
Public Member Functions inherited from Lucene::RAMFile
| RAMFile ()
| RAMFile (const RAMDirectoryPtr &directory)
virtual | ~RAMFile ()
boost::shared_ptr< RAMFile > | shared_from_this ()
int64_t | getLength ()
| For non-stream access from thread that might be concurrent with writing.
void | setLength (int64_t length)
int64_t | getLastModified ()
| For non-stream access from thread that might be concurrent with writing.
void | setLastModified (int64_t lastModified)
int64_t | getSizeInBytes ()
ByteArray | addBuffer (int32_t size)
ByteArray | getBuffer (int32_t index)
int32_t | numBuffers ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::RAMFile
static String | _getClassName ()

## Protected Member Functions

virtual ByteArray | newBuffer (int32_t size)
| Allocate bytes used from shared pool.
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

DocumentsWriterWeakPtr | _docWriter
Protected Attributes inherited from Lucene::RAMFile
Collection< ByteArray > | buffers
int64_t | sizeInBytes
int64_t | lastModified
| This is publicly modifiable via Directory.touchFile(), so direct access not supported.
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Data Fields inherited from Lucene::RAMFile
INTERNAL | : int64_t length
RAMDirectoryWeakPtr | _directory

## Detailed Description

RAMFile buffer for DocWriters.

## Constructor & Destructor Documentation

## ◆ PerDocBuffer()

Lucene::PerDocBuffer::PerDocBuffer | ( | const DocumentsWriterPtr & | docWriter | ) |

Referenced by _getClassName().

## ◆ ~PerDocBuffer()

virtual Lucene::PerDocBuffer::~PerDocBuffer | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::PerDocBuffer::_getClassName | ( |  | ) |

inline static

References PerDocBuffer().

## ◆ getClassName()

virtual String Lucene::PerDocBuffer::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::RAMFile.

## ◆ newBuffer()

virtual ByteArray Lucene::PerDocBuffer::newBuffer | ( | int32_t | size | ) |

protected virtual

Allocate bytes used from shared pool.

Reimplemented from Lucene::RAMFile.

## ◆ recycle()

void Lucene::PerDocBuffer::recycle | ( |  | ) |

Recycle the bytes used.

## ◆ shared_from_this()

boost::shared_ptr< PerDocBuffer > Lucene::PerDocBuffer::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ _docWriter

DocumentsWriterWeakPtr Lucene::PerDocBuffer::_docWriter

protected

The documentation for this class was generated from the following file:

- DocumentsWriter.h

clucene.sourceforge.net